%define module  Devel-Cycle
%define version 1.02
%define release 2mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Find memory cycles in objects
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel

%description 
This is a simple developer's tool for finding circular references in objects
	and other types of references. Because of Perl's reference-count based
memory management, circular references will cause memory leaks.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk
- first mdk release
